
package de.ivu.elect.presentation.person.exchange;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.exchange.control.AbstractExporter;
import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.person.boundary.BerufExporter;
import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractExportSearchView;
import de.ivu.elect.presentation.exchange.ExportDescription;

@Named(BerufExportView.COMPONENT_NAME)
@View(viewId = BerufExportView.VIEW_ID, useCase = UseCasePermission.BERUF_EXPORTIEREN)
public class BerufExportView extends AbstractExportSearchView<List<Beruf>, NoContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "berufExportView";

  public static final String VIEW_ID = "/person/beruf-export.xhtml";

  @Inject
  private transient BerufExporter exporter;

  @Inject
  private transient BerufExportDescription exportDescription;

  public BerufExportView() {
    super();
  }

  @Override
  protected AbstractExporter<List<Beruf>, NoContext> getExporter() {
    return exporter;
  }

  @Override
  protected NoContext getContext() {
    return NoContext.NO_CONTEXT;
  }

  @Override
  public ExportDescription getExportDescription() {
    return exportDescription;
  }
}
